<!---
BEFORE YOU SUBMIT please read the following:

Please search open/closed issues before submitting since someone might have asked the same thing before!

If you have a support request or question please submit them to one of this resources:

* Discussion Forum: https://discuss.babeljs.io/
* StackOverflow: http://stackoverflow.com/questions/tagged/babeljs using the tag `babeljs`
* Slack community: https://slack.babeljs.io/
* Also have a look at the Readme for more information on how to get support:
  https://github.com/babel/babel/blob/master/README.md

Issues on GitHub are only related to problems of babel itself and we cannot answer 
support questions here.
-->

<!--- Provide a general summary of the issue in the title above -->

### Input Code
<!--- If you're describing a bug, please let us know which sample code reproduces your problem -->
<!--- If you have link to our REPL or a standalone repo please link that! -->

```js
var your => (code) => here;
```

### Babel Configuration (.babelrc, package.json, cli command)
<!--- If describing a bug, tell us what your babel configuration looks like -->

```js
{
  "your": { "config": "here" }
}
```

### Expected Behavior
<!--- If you're describing a bug, tell us what should happen -->
<!--- If you're suggesting a change/improvement, tell us how it should work -->

### Current Behavior
<!--- If describing a bug, tell us what happens instead of the expected behavior -->
<!--- If suggesting a change/improvement, explain the difference from current behavior -->

### Possible Solution
<!--- Not obligatory, but suggest a fix/reason for the bug, -->
<!--- or ideas how to implement the addition or change -->

### Context
<!--- How has this issue affected you? What are you trying to accomplish? -->
<!--- Providing context helps us come up with a solution that is most useful in the real world -->

### Your Environment
<!--- Include as many relevant details about the environment you experienced the bug in -->

| software         | version
| ---------------- | -------
| Babel            |  
| node             | 
| npm              | 
| Operating System | 
